Bladeren bron

Autoconf settings for CentOS 4.6 and CentOS 5.3
They came with autoconf-2.59, which does not support AC_TYPE_UINT*_T .

Yishin Li 16 jaren geleden
bovenliggende
commit
58cf068657
2 gewijzigde bestanden met toevoegingen van 5 en 4 verwijderingen
  1. 1 1
      autogen.sh
  2. 4 3
      configure.ac

+ 1 - 1
autogen.sh

@@ -1,3 +1,3 @@
 #! /bin/sh
-autoreconf -v --install || exit 1
+autoreconf -v --force --install || exit 1
 ./configure "$@"

+ 4 - 3
configure.ac

@@ -22,9 +22,10 @@ AC_CHECK_HEADERS([termios.h sys/time.h unistd.h errno.h limits.h fcntl.h sys/typ
 AC_C_CONST
 AC_TYPE_SIZE_T
 AC_HEADER_TIME
-AC_TYPE_UINT16_T
-AC_TYPE_UINT32_T
-AC_TYPE_UINT8_T
+# AC_TYPE_UINT*_T: not supported by autoconf-2.59 of CentOS 5.3
+# AC_TYPE_UINT16_T
+# AC_TYPE_UINT32_T
+# AC_TYPE_UINT8_T
 
 # Cygwin defines IPTOS_LOWDELAY but can't handle that flag so it's necessary to
 # workaround that problem and Cygwin doesn't define MSG_DONTWAIT.